import ReviewCard from "./review-card";

interface ReviewsListProps {
	reviews: any[];
	currentPage: number;
	reviewsPerPage: number;
}

const ReviewsList = ({ reviews, currentPage, reviewsPerPage }: ReviewsListProps) => {
	const currentReviews = reviews?.slice(
		currentPage * reviewsPerPage,
		(currentPage + 1) * reviewsPerPage
	);

	return (
		<div className="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-6">
			{currentReviews?.map((review: any, index: number) => (
				<ReviewCard key={index} review={review} />
			))}
		</div>
	);
};

export default ReviewsList;